## class osg::RefMatrixf

## Inheritance:

### Public Methods

RefMatrixf()
RefMatrixf( const Matrixf& other)
RefMatrixf( const Matrixd& other)
RefMatrixf( const RefMatrixf& other)
explicit RefMatrixf( Matrixf::value_type const* const def )
RefMatrixf( Matrixf::value_type a00, Matrixf::value_type a01, Matrixf::value_type a02, Matrixf::value_type a03, Matrixf::value_type a10, Matrixf::value_type a11, Matrixf::value_type a12, Matrixf::value_type a13, Matrixf::value_type a20, Matrixf::value_type a21, Matrixf::value_type a22, Matrixf::value_type a23, Matrixf::value_type a30, Matrixf::value_type a31, Matrixf::value_type a32, Matrixf::value_type a33)
virtual Object* cloneType() const
virtual Object* clone(const CopyOp&) const
virtual bool isSameKindAs(const Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const

### Protected Methods

virtual ~RefMatrixf()

### Inherited from Object:

### Public Methods

inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

### Inherited from Matrixf:

### Public Methods

int compare(const Matrixf& m) const
bool operator < (const Matrixf& m) const
bool operator == (const Matrixf& m) const
bool operator != (const Matrixf& m) const
inline value_type& operator()(int row, int col)
inline value_type operator()(int row, int col) const
inline bool valid() const
inline bool isNaN() const
void set(const Matrixd& rhs)
inline void set(const Matrixf& rhs)
inline void set(float const* const ptr)
inline void set(double const* const ptr)
void set( value_type a00, value_type a01, value_type a02, value_type a03, value_type a10, value_type a11, value_type a12, value_type a13, value_type a20, value_type a21, value_type a22, value_type a23, value_type a30, value_type a31, value_type a32, value_type a33)
void set(const Quat& q)
void get(Quat& q) const
value_type* ptr()
const value_type* ptr() const
void makeIdentity()
void makeScale( const Vec3& )
void makeScale( value_type, value_type, value_type )
void makeTranslate( const Vec3& )
void makeTranslate( value_type, value_type, value_type )
void makeRotate( const Vec3& from, const Vec3& to )
void makeRotate( float angle, const Vec3& axis )
void makeRotate( float angle, float x, float y, float z )
void makeRotate( const Quat& )
void makeRotate( float angle1, const Vec3& axis1, float angle2, const Vec3& axis2, float angle3, const Vec3& axis3)
void makeOrtho(double left, double right, double bottom, double top, double zNear, double zFar)
bool getOrtho(double& left, double& right, double& bottom, double& top, double& zNear, double& zFar)
inline void makeOrtho2D(double left, double right, double bottom, double top)
void makeFrustum(double left, double right, double bottom, double top, double zNear, double zFar)
bool getFrustum(double& left, double& right, double& bottom, double& top, double& zNear, double& zFar)
void makePerspective(double fovy, double aspectRatio, double zNear, double zFar)
bool getPerspective(double& fovy, double& aspectRatio, double& zNear, double& zFar)
void makeLookAt(const Vec3& eye, const Vec3& center, const Vec3& up)
void getLookAt(Vec3& eye, Vec3& center, Vec3& up, float lookDistance=1.0f)
bool invert( const Matrixf& )
inline static Matrixf identity( void )
inline static Matrixf scale( const Vec3& sv)
inline static Matrixf scale( value_type sx, value_type sy, value_type sz)
inline static Matrixf translate( const Vec3& dv)
inline static Matrixf translate( value_type x, value_type y, value_type z)
inline static Matrixf rotate( const Vec3& from, const Vec3& to)
inline static Matrixf rotate( float angle, float x, float y, float z)
inline static Matrixf rotate( float angle, const Vec3& axis)
inline static Matrixf rotate( float angle1, const Vec3& axis1, float angle2, const Vec3& axis2, float angle3, const Vec3& axis3)
inline static Matrixf rotate( const Quat& quat)
inline static Matrixf inverse( const Matrixf& matrix)
inline static Matrixf ortho(double left, double right, double bottom, double top, double zNear, double zFar)
inline static Matrixf ortho2D(double left, double right, double bottom, double top)
inline static Matrixf frustum(double left, double right, double bottom, double top, double zNear, double zFar)
inline static Matrixf perspective(double fovy, double aspectRatio, double zNear, double zFar)
inline static Matrixf lookAt(const Vec3& eye, const Vec3& center, const Vec3& up)
void setTrans( value_type tx, value_type ty, value_type tz )
void setTrans( const Vec3& v )
inline Vec3 getTrans() const
inline Vec3 getScale() const
inline static Vec3 transform3x3(const Vec3& v, const Matrixf& m)
inline static Vec3 transform3x3(const Matrixf& m, const Vec3& v)
void mult( const Matrixf&, const Matrixf& )
void preMult( const Matrixf& )
void postMult( const Matrixf& )
inline void operator *= ( const Matrixf& other )
inline Matrixf operator * ( const Matrixf &m ) const
inline Matrixf identity(void)
inline Matrixf scale(value_type sx, value_type sy, value_type sz)
inline Matrixf scale(const Vec3& v )
inline Matrixf translate(value_type tx, value_type ty, value_type tz)
inline Matrixf translate(const Vec3& v )
inline Matrixf rotate( const Quat& q )
inline Matrixf rotate(float angle, float x, float y, float z )
inline Matrixf rotate(float angle, const Vec3& axis )
inline Matrixf rotate( float angle1, const Vec3& axis1, float angle2, const Vec3& axis2, float angle3, const Vec3& axis3)
inline Matrixf rotate(const Vec3& from, const Vec3& to )
inline Matrixf inverse( const Matrixf& matrix)
inline Matrixf ortho(double left, double right, double bottom, double top, double zNear, double zFar)
inline Matrixf ortho2D(double left, double right, double bottom, double top)
inline Matrixf frustum(double left, double right, double bottom, double top, double zNear, double zFar)
inline Matrixf perspective(double fovy, double aspectRatio, double zNear, double zFar)
inline Matrixf lookAt(const Vec3& eye, const Vec3& center, const Vec3& up)
inline Vec3 postMult( const Vec3& v ) const
inline Vec3 preMult( const Vec3& v ) const
inline Vec4 postMult( const Vec4& v ) const
inline Vec4 preMult( const Vec4& v ) const
inline Vec3 transform3x3(const Vec3& v, const Matrixf& m)
inline Vec3 transform3x3(const Matrixf& m, const Vec3& v)
inline Vec3 operator* (const Vec3& v) const
inline Vec4 operator* (const Vec4& v) const

### Public Members

typedef float value_type

### Protected Fields

value_type _mat[4][4]

## Documentation

`RefMatrixf()`

`RefMatrixf( const Matrixf& other)`

`RefMatrixf( const Matrixd& other)`

`RefMatrixf( const RefMatrixf& other)`

`explicit RefMatrixf( Matrixf::value_type const* const def )`

`RefMatrixf( Matrixf::value_type a00, Matrixf::value_type a01, Matrixf::value_type a02, Matrixf::value_type a03, Matrixf::value_type a10, Matrixf::value_type a11, Matrixf::value_type a12, Matrixf::value_type a13, Matrixf::value_type a20, Matrixf::value_type a21, Matrixf::value_type a22, Matrixf::value_type a23, Matrixf::value_type a30, Matrixf::value_type a31, Matrixf::value_type a32, Matrixf::value_type a33)`

`virtual Object* cloneType() const`

`virtual Object* clone(const CopyOp&) const`

`virtual bool isSameKindAs(const Object* obj) const`

`virtual const char* libraryName() const`

`virtual const char* className() const`

`virtual ~RefMatrixf()`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.